package com.lantone.qc.trans;

import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.vo.QueryVo;
import com.lantone.qc.trans.comsis.ModelDocGenerate;
import com.lantone.qc.trans.comsis.Preproc;
import lombok.Getter;

/**
 * @ClassName : DocTrans
 * @Description :
 * @Author : 楼辉荣
 * @Date: 2020-03-03 19:47
 */
@Getter
public abstract class DocTrans {
    protected abstract InputInfo extract(QueryVo queryVo);

    private Preproc preproc;
    private ModelDocGenerate modelDocGenerate;

    public DocTrans() {
        preproc = new Preproc();
        modelDocGenerate = new ModelDocGenerate();
    }

}